<%@ Page Title="" Language="C#"  AutoEventWireup="true" CodeBehind="VipRoom.aspx.cs" Inherits="Book.Wap.VipRoom" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title></title>
   <script src="../Javascript/jquery142.js" type="text/javascript"></script>
   <script src="vipdate.js" type="text/javascript"></script>
  
<div  >
  
    
    <script>
     
     

    function setbook(o) {
     
        $("#currentroomname").html(o["currentroomname"]);
        if (o["begintime"] == 0) {

            //如果没使用
             $("#status").html("<font color=green>（会议空闲中...）</font>");
            $("#intro").html("--");
            $("#status").html("空闲中");
            $("#begintime").html("0:00");
            $("#endtime").html("0:00");
            $("#contactdept").html("--");
            $("#contactname").html("--");
            $("#topic").html("");
        

        }
        else {

            //如果已经使用
        
            $("#intro").html(o["intro"]);
            $("#status").html("<font color=red>（会议进行中...）</font>");
            $("#begintime").html(o["begintime"]);
            $("#endtime").html(o["endtime"]);
            $("#contactdept").html(o["contactdept"]);
            $("#contactname").html(o["contactname"]);
            $("#topic").html(o["topic"]);
           
       

           

        }
    }


    function GetBook() {
         GetCurrentBook();
         setTimeout("GetBook()", 10000);
    }


    $(document).ready(function () {
        GetBook();
    });




    
</script> 
 </head>
    <body style=" background:url(images/vip.png) no-repeat">
    
        
      
     <!--  This is content room name and date -->
 
   <div     id="bgclock"   style=" position:absolute; left:450px; top:40px; font-size:25px; color:#ffffff; font-family:Verdana "   >

   </div>

  
  <table>
  <tr>
  <td valign="top">
  
 

<div style=" font-size:20px; margin-top:155px; margin-left:155px; color:#ffffff; font-family:Verdana ">
 <span id="currentroomname"  ></span> 会议室预定情况
</div>

  
 <div style=" font-size:20px; margin-top:55px; margin-left:155px; color:#ffffff; font-family:Verdana ">
 &nbsp;<span id="status"  ></span>  
</div>

 <div style=" font-size:20px; margin-top:55px; margin-left:155px; color:#ffffff; font-family:Verdana ">
 &nbsp;<span id="begintime"  ></span> --    <span id="endtime"  ></span>
</div>


  <div style=" font-size:20px; margin-top:55px; margin-left:155px; color:#ffffff; font-family:Verdana ">
 &nbsp;<span id="contactdept"  ></span>  
</div>


   <div style=" font-size:20px; margin-top:55px; margin-left:155px; color:#ffffff; font-family:Verdana ">
 &nbsp;<span id="contactname"  ></span>  
</div>

	 </td>


     <td valign="top">
     <!-- 右边 -->
     
     <div style=" font-size:20px; margin-top:155px; text-align:center; margin-left:185px; color:#ffffff; font-family:Verdana "> 当前会议主题</div>

     当前议题：
     <div id="topic" style=" font-size:20px; margin-top:5px; margin-left:185px; color:#ffffff; font-family:Verdana ">
     
     </div>
     </td>
  </tr>
  </table>
 
   
      
      
     
   
    
   
    
<script>    clock();</script>


<script>

    function GetCurrentBook() {
        $.getJSON(
    "GetAjaxVipCurrentBook.aspx",
    { "roomid":<%=Request["roomid"] %>, random: Math.random() },

    function(d) {
        $.each(d, function(index, item) {
            setbook(item);
            return;
        });
    }
    ) 
    };
     
       

  </script>



     </body>
    
    </html>